(* Verify the Ward identity for the process e gamma->W neutrino *)

PrepareIndex[mu, nu, tau, sig]

SetMass[{WBoson, mw}, {Electron, 0}]

SetMandelstam[{p1, p2, p3, p4}, {0,0,0,mw}, s, t, u];

mm = MasslessVectorPolarization[p2, mu] HeavyVectorPolarization[p4, nu] *
	SpinorUbar[p3] ** (
	Vertex[ElectronNeutrino, Electron, {WBoson, p4-p2, sig}] *
	Propagator[{WBoson, p4-p2, sig, tau}] *
	Vertex[{WBoson, p4-p2, tau}, {WBoson, -p4, nu}, {Photon, p2, mu}] +
	Vertex[ElectronNeutrino, Electron, {WBoson, p4, nu}] **
	Propagator[{Electron, p1+p2}] **
	Vertex[Electron, Electron, {Photon, p2, mu}]) ** SpinorU[p1];

mm = Contract[Expand[ExpandSlash[mm]], {sig, tau}];

(* Now test Ward Identity *)

mm = mm /. MasslessVectorPolarization[p2,mu]->p2[mu];

(* Should be 0 *)

Commute[Contract[mm, mu], {Slash[p1],Slash[p2]}] // NonCommutativeExpand
