(*  muon decay  *)

Clear[pe, mu, pnu, pnubar, mu, sig]

PrepareIndex[sig]

SetMass[{pnubar, 0}, {pe, Mass[Electron]}, {pnu, 0}, {mu, Mass[Muon]}]

mm = 2 Sqrt[2] FermiGF *
	SpinorUbar[pnu] ** DiracGamma[sig] ** SpinorU[mu, Left] *
	SpinorUbar[pe] ** DiracGamma[sig] ** SpinorV[pnubar, Left]

me2 = Factor[Contract[AbsSquared[mm], {sig, Conjugate[sig]}] /2]

cc = DecayWidth[me2, mu -> {0, 0, 0, Mass[Muon]},
	Spherical[Cylindrical[pe, pnubar], pnu]]

dw = EvaluatePhaseSpaceIntegral[cc]

(* The result should be

                 2          2      6    8       4      2             5
        -(FermiGF  (-1 + 8 x  - 8 x  + x  + 12 x  Log[x ]) Mass[Muon] )
        ---------------------------------------------------------------
                                          3
                                    192 Pi
*)

result =
  Factor[dw /. Mass[Electron]->x Mass[Muon] /. Log[a_ b_] :> Log[a]+Log[b]]

