(*  w+ decay width into top + antibottom  *)

Clear[pt, pb, pw, mu]

PrepareIndex[mu]

SetMass[{pt, Mass[TopQuark]}, {pb, Mass[BottomQuark]}, {pw, Mass[WBoson]}]

mm = SpinorUbar[pt] ** 
	Vertex[TopQuark, BottomQuark, {WBoson, pw, mu}] ** SpinorV[pb] *
	HeavyVectorPolarization[pw, mu]

me2 = Contract[AbsSquared[mm], {mu, Conjugate[mu]}]

cc = DecayWidth[me2, pw->{0, 0, 0, Mass[WBoson]}, Spherical[pt, pb]]

(* The result should be

        (Alpha Conjugate[KobayashiMaskawa[TopQuark, BottomQuark]]

       KobayashiMaskawa[TopQuark, BottomQuark]

       Sqrt[Mass[BottomQuark] - Mass[TopQuark] - Mass[WBoson]]

       Sqrt[Mass[BottomQuark] + Mass[TopQuark] - Mass[WBoson]]

       Sqrt[Mass[BottomQuark] - Mass[TopQuark] + Mass[WBoson]]

       Sqrt[Mass[BottomQuark] + Mass[TopQuark] + Mass[WBoson]]

                         4                      2               2
       (Mass[BottomQuark]  - 2 Mass[BottomQuark]  Mass[TopQuark]  +

                       4                    2             2
         Mass[TopQuark]  + Mass[BottomQuark]  Mass[WBoson]  +

                       2             2                 4
         Mass[TopQuark]  Mass[WBoson]  - 2 Mass[WBoson] )) /

                    5            2
     (8 Mass[WBoson]  Sin[ThetaW] )
*)

result = Factor[EvaluatePhaseSpaceIntegral[cc]]
