Alias[CF, ComplexForm]
Alias[Leaf, LeafCount]
Alias[Ex, Expand]
Alias[ExA, ExpandAll]
Alias[Lit, Literal]
Alias[Coeff, Coefficient]
Alias[MQ , MatchQ]
Alias[Len, Length]
Alias[PC, PolarizationCombinations]
Alias[MEps , MasslessVectorPolarization]
Alias[HEps , HeavyVectorPolarization]
Alias[S , SpinorS]
Alias[T , SpinorT]
Alias[ST , SpinorST]
Alias[CTST , ConvertToST]
Alias[CTTS , ConvertToST]
Alias[STTT , STToTraces]
Alias[CTM , ConvertToMassless]
Alias[Sph , Spherical]
Alias[Cyl , Cylindrical]
Alias[DW  , DecayWidth]
Alias[Eval , EvaluatePhaseSpaceIntegrate]
Alias[CEval , CEvaluatePhaseSpaceIntegrate]
Alias[NEval , NEvaluatePhaseSpaceIntegrate]
Alias[CS , CrossSection]
Alias[Choose , ChooseLightlikeVectorNotCollinearWith]
Alias[Pre , PrepareMatrixElementForCProgram]
Alias[W , WBoson]
Alias[Z , ZBoson]
Alias[Elec , Electron]
Alias[ElecNeu , ElectronNeutrino]
Alias[Neu , Neutrino]
Alias[CL , ChargedLepton]
Alias[P , Photon]
Alias[Up , UpQuark]
Alias[Down , DownQuark]

(* incoming momenta *)
(* w+ w- z order *)
WWZ[{p1_, p2_, p3_}, {mu1_, mu2_, mu3_}] := 
		Vertex[{W, p1, mu1}, {W, p2, mu2}, {Z, p3, mu3}]
WWZ[{p1_, p2_}, {mu1_, mu2_, mu3_}] := 
		Vertex[{W, p1, mu1}, {W, p2, mu2}, {Z, -p1-p2, mu3}]
(* w+ w- photon order *)
WWP[{p1_, p2_, p3_}, {mu1_, mu2_, mu3_}] := 
		Vertex[{W, p1, mu1}, {W, p2, mu2}, {P, p3, mu3}]
WWP[{p1_, p2_}, {mu1_, mu2_, mu3_}] := 
		Vertex[{W, p1, mu1}, {W, p2, mu2}, {P, -p1-p2, mu3}]
ffP[mu_] := Vertex[{CL}, {CL}, {P, 0, mu}]
ffP[ferm_, mu_] := Vertex[{ferm}, {ferm}, {P, 0, mu}]
ffW[ferm1_,ferm2_, mu_] := Vertex[{ferm1}, {ferm2}, {W, 0, mu}]
ffW[mu_] := Vertex[{CL}, {Neu}, {W, 0, mu}]
ffZ[ferm_, mu_] := Vertex[{ferm}, {ferm}, {Z, 0, mu}]
(* in the following 4-vector couplings pair the two w's *)
PZWW[mu1_, mu2_, mu3_, mu4_] :=
		Vertex[{W, 0, mu1}, {W, 0, mu2}, {Z, 0, mu3}, {P, 0, mu4}]
ZZWW[mu1_, mu2_, mu3_, mu4_] :=
		Vertex[{W, 0, mu1}, {W, 0, mu2}, {Z, 0, mu3}, {Z, 0, mu4}]
PPWW[mu1_, mu2_, mu3_, mu4_] :=
Vertex[{W, 0, mu1}, {W, 0, mu2}, {P, 0, mu3}, {P, 0, mu4}]

Alias[FP , FermionPropagator]
Alias[MFP , MasslessFermionPropagator]
Alias[HVP , HeavyVectorPropagator]
Alias[MVP , MasslessVectorPropagator]

FermionPropagator[type_, p_] := Propagator[type][p]
MasslessFermionPropagator[p_] := Propagator[Neutrino][p]
MasslessVectorPropagator[{p_, mu1_, mu2_}] := 
		Propagator[MasslessVector][{p,mu1,mu2}]
MasslessVectorPropagator[p_] := Propagator[MasslessVector][p]
HeavyVectorPropagator[type_, p_] := Propagator[type][p]
HeavyVectorPropagator[type_, p_, mu1_, mu2_] := 
	Propagator[type][{p,mu1,mu2}]

Alias[HP, HelicityProjection]
Alias[SMass, SetMass]
Alias[SDP, SetDotProduct]
Alias[DPR, DotProductRules]
Alias[SMan, SetMandelstam]
Alias[MR, MandelstamRules]
Alias[Dir, SpaceDirection]
Alias[ES, ExpandSlash]
Alias[STD, SpaceTimeDimension]
Alias[Dg, DiracGamma]
Alias[DG, DiracGamma]
Alias[Conj, Conjugate]
Alias[Cont, Contract]
Alias[DP, DotProduct]
Alias[U, SpinorU]
Alias[Ubar, SpinorUbar]
Alias[V, SpinorV]
Alias[Vbar, SpinorVbar]
PL = HelicityProjection[Left]
PR = HelicityProjection[Right]
Alias[SR, SetReal]
Alias[Sl, Slash]
Alias[Tr, GammaTrace]
Alias[AS , AbsSquared]
Alias[DG5 , DiracGamma5]
Alias[Dg5 , DiracGamma5]
Alias[SOS, SetOnShell]
Alias[PI, PrepareIndex]
Alias[ENCM, ExpandNonCommutativeMultiply]
Alias[CTG5, ConvertToGamma5]
Alias[CTCF, ConvertToChiralFermions]
Alias[PF, PhysicsForm]
Alias[PFP, PhysicsFormPrint]
Alias[SNC, SetNonCommutative]
Alias[NCM, NonCommutativeMultiply]
Alias[CQ, CommutativeQ]
Alias[CAQ, CommutativeAllQ]
Alias[NCE, NonCommutativeExpand]
Alias[NCF, NonCommutativeFactor]
Alias[CWE, CollectWithoutExpanding]
Alias[Com, Commute]
Alias[Comm, Commute]
Alias[L, Left]
Alias[R, Right]
